View Issue Details

IDProjectCategoryView StatusLast Update
0006250MediaMonkey (current)Codecpublic2011-10-09 02:06
Reporterrusty 
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2 
Target Version4.0Fixed in Version4.0 
Summary0006250: Recompile latest version of lame
DescriptionBecause of intentional defects in earlier intel compilers, the release of MM 4.0 should include a recompiled version of lame using fixed intel compiler. At the moment, lame is at 3.98.2

For details see:
http://www.osnews.com/story/22683/Intel_Forced_to_Remove_quot_Cripple_AMD_quot_Function_from_Compiler_
TagsNo tags attached.
Fixed in build1434

Relationships

related to 0004803 closedpetr Upgrade Lame to 3.98.2 
related to 0009954 closedmichal Update to LAME 3.99.5 

Activities

jiri

2010-12-05 12:21

administrator   ~0021602

Re-assigning to Michal, since he's gonna work on similar topics.

michal

2010-12-06 12:36

developer   ~0021617

Fixed in build 1332. Lame upgraded to version 3.98.4.

peke

2010-12-21 01:32

developer   ~0021997

Verified 1337

rusty

2011-09-15 20:17

administrator   ~0027752

Last edited: 2011-09-16 17:10

View 5 revisions

It seems that the version of lame included with MM 4.0 is still problematic on some machines/environments.

See:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=60441
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=60290
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=13004

Also, there's another debug log of failed volume analysis (replay gain) posted to:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=59326

Edit: According to the user, the replay gain errors occur independent of what version of LAME is used (but MM3 doesn't generate such errors).

rusty

2011-09-16 18:46

administrator   ~0027772

Note: the user experiencing these problems is also experiencing problems with Volume analysis. More details:

HW: cpu is a 32bit amd athlon xp2400 , 2ghz singlecore, (only sse1 capable)

The sample files that trigger the error in his environment, work fine for me. What's strange is that if the same file is moved to a different location, the scan proceeds without a problem.

Comment from the user: to me it seems that the file is still locked and another thread is scheduled.(analyze is complete,db is updated,tag is not updated).

Note: file monitor/auto-organize aren't enabled

jiri

2011-09-20 09:22

administrator   ~0027854

Last edited: 2011-09-20 11:59

View 3 revisions

As discussed offline, we don't use the optimal configuration for the compiler. Will be modified and hopefully will fix the issue.

Options will be based on: http://software.intel.com/en-us/articles/performance-tools-for-software-developers-intel-compiler-options-for-sse-generation-and-processor-specific-optimizations/

Based on some speed testing we decided to include version optimized for SSSE3 instruction set. The resulting version is not only compatible with any Pentium compatible processor, but is also around 2% faster that the Lame in MM3 and about 4% faster than the Lame in previous MM4 builds.

michal

2011-09-20 15:17

developer   ~0027859

Fixed in build 1434.

peke

2011-10-09 02:06

developer   ~0028146

Verified 1441